<?php
if (!defined( 'ABSPATH' )) exit;
wp_register_style( 'bootstrap', WOO2APP_CSS_URL.'bootstrap.css'  );
wp_enqueue_style( 'bootstrap' );
wp_register_style( 'bootstrap-select', WOO2APP_CSS_URL.'bootstrap-select.css');
wp_enqueue_style( 'bootstrap-select' );
?>
<div class="col-md-12">
    <div class="panel panel-primary">
        <div class="panel-heading">
            تنظیمات منو
        </div>
        <div class="panel-body">
            <div class="row">
                <div class="col-md-6 pull-right">
                    <div class="panel panel-primary">
                        <div class="panel-heading">
                            منوی سمت راست اکشن بار
                        </div>
                        <div class="panel-body">

                            <div class="row">
                                <div class="col-md-6 pull-right">
                                    وضعیت
                                </div>
                                <div class="col-md-6 pull-right">
                                    <img style="width:25px;height:25px;" id="img_change_menu1" class="hide" src="<?php echo WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) ).'/../files/img/load.gif' ?>">
                                    <select class="form-control" id="select_position_menu1">
                                        <option <?php echo (get_option("NUM_MENU1_POS") == -1 ) ? "selected" : ""; ?> value="-1">عدم نمایش</option>
                                        <option <?php echo (get_option("NUM_MENU1_POS") == 1 ) ? "selected" : ""; ?> value="1"> نمایش </option>
                                    </select>
                                </div>
                            </div>
                            <hr>
                            <fieldset>
                                <div class="col-md-12 pull-right">
                                    <p>آیتم جدید</p>
                                    <select class="form-control" id="select_action_menu1">
                                        <option value="1" selected="">محصول</option>
                                        <option value="2">دسته بندی</option>
                                        <option value="3">لینک</option>
                                        <option value="4">دکمه سوابق خرید</option>
                                        <option value="5">دکمه لیست محصولات</option>
                                        <option value="6">دکمه سبد خرید</option>
                                        <option value="7">دکمه جست و جو</option>
                                        <option value="8">دکمه خود انتشاری</option>
                                        <option value="9">لیست علاقه مندی ها</option>
                                        <option value="10">لیست دسته بندی ها</option>
                                        <option value="11"> وبلاگ </option>
                                        <option value="12"> دکمه لاگین </option>
                                        <option value="13"> دکمه ثبت نام </option>
                                        <option value="14"> پروفایل کاربر </option>
                                        <option value="15"> رهگیری سفارش </option>
                                    </select>
                                    <div class="alert alert-danger hide" style="padding:2px;">
                                        لطفا اکشن مورد نظر خود را انتخاب نمایید.
                                    </div>
                                </div>

                                <div class="col-md-12 pull-right" id="product_list" style="margin-top:10px;padding:0px;">
                                    <div class="col-md-12" style="margin-bottom:10px;">
                                        <input style="height:40px;" type="text" id="search_product_banner1" class="form-control" placeholder="لطفا محصول خود را جستجو کنید(حداقل سه کاراکتر)">
                                    </div>
                                    <div class="col-md-12 hide" id="loading_product1">
                                        <img style="width:25px;height:25px;" id="img_load_product1" src="<?php echo WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) ).'/../files/img/load.gif' ?>">
                                    </div>
                                    <div class="col-md-12" style="margin-bottom:10px;">
                                        <select id="value_post_items_menu1" class="form-control"></select>
                                    </div>
                                </div>


                                <div class="col-md-12 pull-right hide" id="category_list" style="margin-top:10px;">
                                    <select id="value_cat_items_menu1" class="selectpicker col-md-12 form-control" data-live-search="true" title="انتخاب کنید...">
                                        <option value="0" style="text-align:right;">دسته خود را انتخاب کنید</option>
										<?php
										$args = array('hide_empty' => 0 ,
										              'taxonomy' => 'product_cat'
										);
										$cats = get_categories($args);
										foreach ($cats as $cat) {
											?>
                                            <option style="text-align:right;" value="<?= $cat->slug; ?>"><?= $cat->name; ?></option>
											<?php
										}
										?>
                                    </select>
                                </div>


                                <div class="col-md-12 pull-right hide" id="link_list" style="margin-top:10px;">
                                    <input  id="value_link_items_menu1" type="text" class="form-control pull-left" style="direction:ltr;height:40px;" placeholder="{http | https}://yoursite.ir">
                                </div>


                                <div class="col-md-12 pull-right" style="margin-top:10px;">
                                    <input style="height:40px;" placeholder="عنوان خود را وارد نمایید" id="value_title_menu1" type="text" class="form-control" placeholder="عنوان آیتم را وارد نمایید">
                                </div>
                                <div id="sort_product_list" class="hide col-md-12 pull-right" style="margin-top:10px;">
                                    <select   id="sort_product_value1" class="form-control" style="height:40px;">
                                        <option value=""> پیشفرض </option>
                                        <option value="orderby=popularity&order=DESC"> محبوبیت </option>
                                        <option value="orderby=date&order=DESC"> جدیدترین ها </option>
                                        <option value="orderby=price&order=ASC"> کمترین قیمت </option>
                                        <option value="orderby=price&order=DESC"> بیشترین قیمت </option>
                                        <option value="orderby=selling&order=DESC"> پر فروش </option>
                                    </select>
                                </div>


                                <div id="add_item_hami_div1" class="col-md-12 pull-right" style="margin-top:10px;">
                                    <div class="col-md-5 pull-right">
                                        <button id="btn_sel_pic_banner1" type="button" class="btn btn-primary btn-xs">انتخاب عکس</button>
                                        <input type="hidden" id="txt_url_item_hami1">
                                    </div>
                                    <div class="col-md-7 pull-right" >
                                        <img id="div_image_item_hami1" class="hide" src="">
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-md-4">
                                        <button  id="btn_form_menu1" class="btn btn-primary btn-sm">
                                            ذخیره کردن
                                        </button>
                                    </div>
                                    <div class="col-md-4 ">
                                        <img style="width:25px;height:25px;" id="img_load1" class="hide" src="<?php echo WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) ).'/../files/img/load.gif' ?>">
                                    </div>
                                </div>
                            </fieldset>
                        </div>
                    </div>
                </div>
                <div class="col-md-6 pull-right">
                    <div class="panel panel-primary">
                        <div class="panel-heading">
                            لیست منوی سمت راست اکشن بار
                        </div>
                        <div class="panel-body">
                            <img style="width:25px;height:25px;" id="img_load_menu1" class="hide" src="<?php echo WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) ).'/../files/img/load.gif' ?>">
                            <form name="form_sort" id="form_sort_menu1" method="post" action="">
                                <ul id="sortable">

                                </ul>
                            </form>
                            <div class="col-md-12 text-left" style="margin-top:15px;">
                                <img style="width:25px;height:25px;" id="img_load_sort_menu1" class="hide" src="<?php echo WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) ).'/../files/img/load.gif' ?>">
                                <button  id="btn_form_order_menu1" class="btn btn-primary btn-sm">
                                    مرتب سازی
                                </button>
                            </div>
                            <div class="col-md-12" style="margin-top:15px;">
                                <div class="alert alert-success hide" id="alert_sort1">

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-6 pull-right">
                    <div class="panel panel-primary">
                        <div class="panel-heading">
                            منوی سمت چپ اکشن بار
                        </div>
                        <div class="panel-body">

                            <div class="row">
                                <div class="col-md-6 pull-right">
                                    وضعیت
                                </div>
                                <div class="col-md-6 pull-right">
                                    <img style="width:25px;height:25px;" id="img_change_menu3" class="hide" src="<?php echo WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) ).'/../files/img/load.gif' ?>">
                                    <select class="form-control" id="select_position_menu3">
                                        <option <?php echo (get_option("NUM_MENU3_POS") == -1 ) ? "selected" : ""; ?> value="-1">عدم نمایش</option>
                                        <option <?php echo (get_option("NUM_MENU3_POS") == 2 ) ? "selected" : ""; ?> value="2"> نمایش </option>
                                    </select>
                                </div>
                            </div>
                            <hr>
                            <fieldset>
                                <div class="col-md-12 pull-right">
                                    <p>آیتم جدید</p>
                                    <select class="form-control" id="select_action_menu3">
                                        <option value="1" selected="">محصول</option>
                                        <option value="2">دسته بندی</option>
                                        <option value="3">لینک</option>
                                        <option value="4">دکمه سوابق خرید</option>
                                        <option value="5">دکمه لیست محصولات</option>
                                        <option value="6">دکمه سبد خرید</option>
                                        <option value="7">دکمه جست و جو</option>
                                        <option value="8">دکمه خود انتشاری</option>
                                        <option value="9">لیست علاقه مندی ها</option>
                                        <option value="10">لیست دسته بندی ها</option>
                                        <option value="11"> وبلاگ </option>
                                        <option value="12"> دکمه لاگین </option>
                                        <option value="13"> دکمه ثبت نام </option>
                                        <option value="14"> پروفایل کاربر </option>
                                        <option value="15"> رهگیری سفارش </option>
                                    </select>
                                    <div class="alert alert-danger hide" style="padding:2px;">
                                        لطفا اکشن مورد نظر خود را انتخاب نمایید.
                                    </div>
                                </div>

                                <div class="col-md-12 pull-right" id="product_list3" style="margin-top:10px;padding:0px;">
                                    <div class="col-md-12" style="margin-bottom:10px;">
                                        <input style="height:40px;" type="text" id="search_product_banner3" class="form-control" placeholder="لطفا محصول خود را جستجو کنید(حداقل سه کاراکتر)">
                                    </div>
                                    <div class="col-md-12 hide" id="loading_product3">
                                        <img style="width:25px;height:25px;" id="img_load_product3" src="<?php echo WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) ).'/../files/img/load.gif' ?>">
                                    </div>
                                    <div class="col-md-12" style="margin-bottom:10px;">
                                        <select id="value_post_items_menu3" class="form-control"></select>
                                    </div>
                                </div>


                                <div class="col-md-12 pull-right hide" id="category_list3" style="margin-top:10px;">
                                    <select id="value_cat_items_menu3" class="selectpicker col-md-12 form-control" data-live-search="true" title="انتخاب کنید...">
                                        <option value="0" style="text-align:right;">دسته خود را انتخاب کنید</option>
										<?php
										$args = array('hide_empty' => 0 ,
										              'taxonomy' => 'product_cat'
										);
										$cats = get_categories($args);
										foreach ($cats as $cat) {
											?>
                                            <option style="text-align:right;" value="<?= $cat->slug; ?>"><?= $cat->name; ?></option>
											<?php
										}
										?>
                                    </select>
                                </div>


                                <div class="col-md-12 pull-right hide" id="link_list3" style="margin-top:10px;">
                                    <input  id="value_link_items_menu3" type="text" class="form-control pull-left" style="direction:ltr;height:40px;" placeholder="{http | https}://yoursite.ir">
                                </div>


                                <div class="col-md-12 pull-right" style="margin-top:10px;">
                                    <input style="height:40px;" placeholder="عنوان خود را وارد نمایید" id="value_title_menu3" type="text" class="form-control" placeholder="عنوان آیتم را وارد نمایید">
                                </div>

                                <div id="sort_product_list3" class="hide col-md-12 pull-right" style="margin-top:10px;">
                                    <select  id="sort_product_value3" class="form-control" style="height:40px;">
                                        <option value=""> پیشفرض </option>
                                        <option value="orderby=popularity&order=DESC"> محبوبیت </option>
                                        <option value="orderby=date&order=DESC"> جدیدترین ها </option>
                                        <option value="orderby=price&order=ASC"> کمترین قیمت </option>
                                        <option value="orderby=price&order=DESC"> بیشترین قیمت </option>
                                        <option value="orderby=selling&order=DESC"> پر فروش </option>
                                    </select>
                                </div>


                                <div id="add_item_hami_div3" class="col-md-12 pull-right" style="margin-top:10px;">
                                    <div class="col-md-5 pull-right">
                                        <button id="btn_sel_pic_banner3" type="button" class="btn btn-primary btn-xs">انتخاب عکس</button>
                                        <input type="hidden" id="txt_url_item_hami3">
                                    </div>
                                    <div class="col-md-7 pull-right" >
                                        <img id="div_image_item_hami3" class="hide" src="">
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-md-4">
                                        <button  id="btn_form_menu3" class="btn btn-primary btn-sm">
                                            ذخیره کردن
                                        </button>
                                    </div>
                                    <div class="col-md-4 ">
                                        <img style="width:25px;height:25px;" id="img_load3" class="hide" src="<?php echo WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) ).'/../files/img/load.gif' ?>">
                                    </div>
                                </div>
                            </fieldset>
                        </div>
                    </div>
                </div>
                <div class="col-md-6 pull-right">
                    <div class="panel panel-primary">
                        <div class="panel-heading">
                            لیست منوی سمت چپ اکشن بار
                        </div>
                        <div class="panel-body">
                            <img style="width:25px;height:25px;" id="img_load_menu3" class="hide" src="<?php echo WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) ).'/../files/img/load.gif' ?>">
                            <form name="form_sort" id="form_sort_menu3" method="post" action="">
                                <ul id="sortable3">

                                </ul>
                            </form>
                            <div class="col-md-12 text-left" style="margin-top:15px;">
                                <img style="width:25px;height:25px;" id="img_load_sort_menu3" class="hide" src="<?php echo WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) ).'/../files/img/load.gif' ?>">
                                <button  id="btn_form_order_menu3" class="btn btn-primary btn-sm">
                                    مرتب سازی
                                </button>
                            </div>
                            <div class="col-md-12" style="margin-top:15px;">
                                <div class="alert alert-success hide" id="alert_sort3">

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- menu number 2 -->
            <div class="row">
                <div class="col-md-6 pull-right">
                    <div class="panel panel-primary">
                        <div class="panel-heading">
                            منوی شناور
                        </div>
                        <div class="panel-body">
                            <div class="row">
                                <div class="col-md-6 pull-right">
                                    موقعیت :
                                </div>
                                <div class="col-md-6 pull-right">
                                    <img style="width:25px;height:25px;" id="img_change_menu2" class="hide" src="<?php echo WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) ).'/../files/img/load.gif' ?>">
                                    <select class="form-control" id="select_position_menu2">
                                        <option <?php echo (get_option("NUM_MENU2_POS") == -1 ) ? "selected" : ""; ?> value="-1">عدم نمایش</option>
                                        <option <?php echo (get_option("NUM_MENU2_POS") == 3 ) ? "selected" : ""; ?> value="3">منوی شناور پایین سمت راست</option>
                                        <option <?php echo (get_option("NUM_MENU2_POS") == 4 ) ? "selected" : ""; ?> value="4">منوی شناور پایین سمت چپ</option>
                                    </select>
                                </div>
                            </div>
                            <hr>
                            <fieldset>
                                <div class="col-md-12 pull-right">
                                    <p>آیتم جدید</p>
                                    <select class="form-control" id="select_action_menu2">
                                        <option value="1" selected="">محصول</option>
                                        <option value="2">دسته بندی</option>
                                        <option value="3">لینک</option>
                                        <option value="4">دکمه سوابق خرید</option>
                                        <option value="5">دکمه لیست محصولات</option>
                                        <option value="6">دکمه سبد خرید</option>
                                        <option value="7">دکمه جست و جو</option>
                                        <option value="8">دکمه خود انتشاری</option>
                                        <option value="9">لیست علاقه مندی ها</option>
                                        <option value="10">لیست دسته بندی ها</option>
                                        <option value="11"> وبلاگ </option>
                                        <option value="12"> دکمه لاگین </option>
                                        <option value="13"> دکمه ثبت نام </option>
                                        <option value="14"> پروفایل کاربر </option>
                                        <option value="15"> رهگیری سفارش </option>
                                    </select>
                                    <div class="alert alert-danger hide" style="padding:2px;">
                                        لطفا اکشن مورد نظر خود را انتخاب نمایید.
                                    </div>
                                </div>


                                <div class="col-md-12 pull-right" id="product_list2" style="margin-top:10px;padding:0px;">
                                    <div class="col-md-12" style="margin-bottom:10px;">
                                        <input style="height:40px;" type="text" id="search_product_banner2" class="form-control" placeholder="لطفا محصول خود را جستجو کنید(حداقل سه کاراکتر)">
                                    </div>
                                    <div class="col-md-12 hide" id="loading_product2">
                                        <img style="width:25px;height:25px;" id="img_load_product2" src="<?php echo WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) ).'/../files/img/load.gif' ?>">
                                    </div>
                                    <div class="col-md-12" style="margin-bottom:10px;">
                                        <select id="value_post_items_menu2" class="form-control"></select>
                                    </div>

                                </div>


                                <div class="col-md-12 pull-right hide" id="category_list2" style="margin-top:10px;">
                                    <select id="value_cat_items_menu2" class="selectpicker col-md-12 form-control" data-live-search="true" title="انتخاب کنید...">
                                        <option value="0" style="text-align:right;">دسته خود را انتخاب کنید</option>
										<?php
										$args = array('hide_empty' => 0 ,
										              'taxonomy' => 'product_cat'
										);
										$cats = get_categories($args);
										foreach ($cats as $cat) {
											?>
                                            <option style="text-align:right;" value="<?= $cat->slug; ?>"><?= $cat->name; ?></option>
											<?php
										}
										?>
                                    </select>
                                </div>


                                <div class="col-md-12 pull-right hide" id="link_list2" style="margin-top:10px;">
                                    <input id="value_link_items_menu2" type="text" class="form-control pull-left" style="direction:ltr;height:40px;" placeholder="{http | https}://yoursite.ir">
                                </div>


                                <div class="col-md-12 pull-right" style="margin-top:10px;">
                                    <input style="height:40px;" placeholder="عنوان خود را وارد نمایید" id="value_title_menu2" type="text" class="form-control" placeholder="عنوان آیتم را وارد نمایید">
                                </div>
                                <div id="sort_product_list2" class="hide col-md-12 pull-right" style="margin-top:10px;">
                                    <select   id="sort_product_value2" class="form-control" style="height:40px;">
                                        <option value=""> پیشفرض </option>
                                        <option value="orderby=popularity&order=DESC"> محبوبیت </option>
                                        <option value="orderby=date&order=DESC"> جدیدترین ها </option>
                                        <option value="orderby=price&order=ASC"> کمترین قیمت </option>
                                        <option value="orderby=price&order=DESC"> بیشترین قیمت </option>
                                        <option value="orderby=selling&order=DESC"> پر فروش </option>
                                    </select>
                                </div>

                                <div class="row" style="margin-bottom:10px;">
                                    <div id="add_item_hami_div2" class="col-md-12 pull-right" style="margin-top:10px;">
                                        <div class="col-md-5 pull-right">
                                            <button id="btn_sel_pic_banner2" type="button" class="btn btn-primary btn-xs">انتخاب عکس</button>
                                            <input type="hidden" id="txt_url_item_hami2">
                                        </div>
                                        <div class="col-md-7 pull-right" >
                                            <img id="div_image_item_hami2" class="hide" src="">
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-4">
                                        <button  id="btn_form_menu2" class="btn btn-primary btn-sm">
                                            ذخیره کردن
                                        </button>
                                    </div>
                                    <div class="col-md-4 ">
                                        <img style="width:25px;height:25px;" id="img_load2" class="hide" src="<?php echo WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) ).'/../files/img/load.gif' ?>">
                                    </div>
                                </div>
                            </fieldset>
                        </div>
                    </div>
                </div>
                <div class="col-md-6 pull-right">
                    <div class="panel panel-primary">
                        <div class="panel-heading">
                            لیست منوی شناور
                        </div>
                        <div class="panel-body">
                            <form name="form_sort" id="form_sort_menu2" method="post" action="">
                                <img style="width:25px;height:25px;" class="hide" id="img_load_menu2" src="<?php echo WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) ).'/../files/img/load.gif' ?>">
                                <ul id="sortable1">

                                </ul>
                            </form>
                            <div class="col-md-12 text-left" style="margin-top:15px;">
                                <img class="hide" style="width:25px;height:25px;" id="img_sort_menu2" src="<?php echo WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) ).'/../files/img/load.gif' ?>">
                                <button  id="btn_form_order_menu2" class="btn btn-primary btn-sm">
                                    مرتب سازی
                                </button>
                            </div>
                            <div class="col-md-12" style="margin-top:15px;">
                                <div class="alert alert-success hide" id="alert_sort2">

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
<?php
wp_enqueue_script( 'jquery-ui.js' , WOO2APP_JS_URL.'jquery-ui.js', array('jquery'));
//wp_enqueue_script( 'sort.js' , WOO2APP_JS_URL.'sort.js', array('jquery'));
wp_enqueue_media();
wp_enqueue_script( 'upload_item_banner.js' , WOO2APP_JS_URL.'upload_item_banner.js', array('jquery'));
wp_enqueue_script( 'bootstrap-select.js' , WOO2APP_JS_URL.'bootstrap-select.js', array('jquery'));
wp_enqueue_script( 'woo2app_menu.js' , WOO2APP_JS_URL.'woo2app_menu.js', array('jquery'));
?>
<script type="text/javascript">
    jQuery('#search_product_banner1 , #search_product_banner2 , #search_product_banner3').keyup(function(){
        var id = $(this).attr('id');
        id = id.replace("search_product_banner", "");
        var  v = jQuery(this).val();
        if(v.length >= 3){
            jQuery("#loading_product" + id).removeClass("hide");
            jQuery.ajax({
                url: ajaxurl,
                data: {
                    action: "load_all_product",
                    search_product : v
                },
                success:function(data) {
                    jQuery("#loading_product"+id).addClass("hide");
                    jQuery("#value_post_items_menu"+id).html(data);
                }
            });
        }
    });
</script>